s/* mvg colors 
diamond: #313D48
platinum: #7A97AB
gold: #BC945B
silver: #898C8D
*/
.bg-mvg-teal, #mvg-golf {background-color:#008676; color:#ffffff;}
.bg-mvg-pink {background-color:#e50e63;  color:#ffffff;}

.mvg-diamond, .mvg-platinum, .mvg-gold, .mvg-silver {color: #ffffff !important;}
.mvg-diamond {background-color: #313D48 !important;}
.mvg-platinum {background-color: #7A97AB !important;}
.mvg-gold {background-color: #BC945B !important;}
.mvg-silver {background-color: #898C8D !important;}

.mvg-diamond-light {background-color:#b7bbbf;}
.mvg-platinum-light {background-color:#cad5dd;}
.mvg-gold-light {background-color:#e4d4bd;}
.mvg-silver-light {background-color:#d0d1d1;}

.text-diamond {color: #313D48 !important;}
.text-platinum {color: #7A97AB !important;}
.text-gold {color: #BC945B !important;}
.text-silver {color: #898C8D !important;}

.rte .text-primary {color:var(--primary);}

/* mvg- buttons */
.button.default-button.mvg-pink-button {background-color: #e50e63;}
.button.default-button.mvg-teal-button {background-color: #008676;}

.rte button, .PageHeader_page-header__button--normal__g8mSF {white-space: break-spaces; height: auto !important;}

a.btn-img, .rte .no-border {border:0;}
a.btn-img > img {max-width:200px;}

/* homepage */
.LayoutColumn_layout-column__dViuK>.HeroBlock_hero-block__Nd_rj {display: none;}

/* hero */
.HeroBlock_hero-block__kicker__lWdoU {color:var(--bg-neutral);}
.HeroBlock_hero-block__Nd_rj[data-height=full] .HeroBlock_hero-block__overlay__Avq5S {padding-block:4rem;}

/* mvg small comparison table */
.rte table.mvg-rewards,
.rte table.mvg-rewards tr:first-of-type {background-color:transparent;}
.rte table.mvg-rewards td {
    border: 0;
    border-bottom: 1px solid var(--black-10);
    border-right: 1px solid var(--black-10);
    border-left: 1px solid var(--black-10);
    padding: var(--spacing-xs);
}

.rte table.mvg-rewards tr:first-of-type td {
    border: 0;
    border-bottom: 1px solid var(--white-30);
    border-right: 1px solid var(--white-30);
    border-left: 1px solid var(--white-30);
}
.rte table.mvg-rewards tr {font-size:var(--font-size-ui);}

/* mvg full comparison table */
.rte table.mvg-comparison,
.rte table.mvg-comparison tr:first-of-type {background-color:transparent;}

.rte table.mvg-comparison td {border:1px solid #D9EBE8;}
.rte table.mvg-comparison th {
    border: 0;
    border-right: 1px solid var(--white-60);
}

.rte table.mvg-comparison tr:first-of-type th {
    background-color:transparent;
}

.rte table.mvg-comparison th {border-top-left-radius: 20px; border-top-right-radius: 20px;}
.rte table.mvg-comparison tr:first-of-type td {border-color:transparent;}

/* milestones */
#mvg-milestones .ImageTextCard_image-text-card--white__PLAri p {text-align: center;}
#mvg-milestones .ImageTextCard_image-text-card__content-container__Ccpie {padding-top:0;}

/* MVG DISCOUNTS */
.IconTextCardContainer_icon-text-card-container__column__HuzoQ {height:initial; max-width:46%;}
#mvg-discounts .IconTextCard_icon-text-card__icon__5XPWc div {width:79px!important; height:55px!important;}

/******************************************************/
/*** --------------------MY SUN-------------------- ***/
/******************************************************/
.bg-gradient-mysun-blue {background-image: linear-gradient(#000c3c, #1b75bc); color:#ffffff;}

#sun-mvg-loyalty .ImageCard_overlay--black--centred__puVmY {display:none}
#sun-mvg-loyalty .ImageCard_image-card--horizontal--6__A94Ca {min-height: 14rem;}

/* flex */
.d-flex {display:flex;} 
.align-items-end {align-items:center;}
.justify-content-center {justify-content:center;}

/*** generic ***/
.text-center {text-align:center!important;}
.text-left {text-align:left!important;}

@media (min-width: 1280px){
.text-lg-left {text-align:left!important;}
}

.rte {width:100%;}

.rte .h2 {font-size: var(--font-size-h2);}

.rte strong {font-weight: var(--font-weight-bold);}

.rte a {border-color:inherit;}
a:has(img) {outline: none;}

.rte p {margin-bottom: var(--spacing-xs);}
.rte a:has(img) {border-bottom: 0; display: inline-block;}
.rte img {margin:0 auto;}

.rte .mb-0 {margin-bottom:0;}
.rte .mt-md {margin-top:var(--spacing-md);}
.rte .mt-lg {margin-top:var(--spacing-lg);}
.rte .mb-md {margin-bottom:var(--spacing-md);}
.rte .mr-sm {margin-right: var(--spacing-sm);}

.rte .pb-sm {padding-bottom: var(--spacing-sm);}
.rte .pt-md {padding-top: var(--spacing-md);}
.rte .pb-md {padding-bottom:var(--spacing-md);}

.rotate-7 {transform: rotate(-7deg);}

.d-none {display:none;}

@media (min-width: 1024px) {
.d-md-block {display:block;}
}

/* masonry */
.MasonryCard_masonry-card-overlay__ThOSV {opacity:.75; transition:all .3s;}

.MasonryCard_masonry-card__6TZ03:hover .MasonryCard_masonry-card-overlay__ThOSV {
    background-image: linear-gradient(180deg, var(--black-0) 25%, var(--black-100) 100%); opacity:1;}

@media (min-width:1280px) {
.MasonryCard_masonry-card-content-text-wrapper__8wPn_ {max-width:80%;}
}